Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 479441 - Monitoring: Internal problem executing Unix::InterfaceTraffic: Can't locate objec t method "new"
Summary: Monitoring: Internal problem executing Unix::InterfaceTraffic: Can't locate o...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 0.4
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2009-01-09 16:51 UTC by Milan Zázrivec
Modified: 2009-09-17 07:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-17 07:06:45 UTC


Attachments (Terms of Use)

Description Milan Zázrivec 2009-01-09 16:51:45 UTC
Description of problem:
* Spacewalk 0.4 installation, monitoring + mon. scout enabled
* Registered system with a running and setup rhnmd
* Created probe requiring running rhnmd (Linux / Interface Traffic)

Setup described above does not work, webui says:
"Internal problem executing check." for this probe, following error is present
in /var/log/nocpulse/kernel-error.log:

2009-01-09 17:50:23 Probe 23 produced error output:
        STDERR:
        >>>Internal problem executing Unix::InterfaceTraffic: Can't locate object method "new" via package "SSHRemoteCommandShell" (perhaps you forgot to load "SSHRemoteCommandShell"?) at /usr/lib/perl5/vendor_perl/5.8.8/NOCpulse/Probe/DataSource/UnixCommand.pm line 54.
<<

Version-Release number of selected component (if applicable):
NOCpulsePlugins-2.208.3-1.el5

Comment 1 Miroslav Suchý 2009-01-13 10:12:21 UTC
Commited as 23597459a4512fced2d9450121e7af029b402e09.

Comment 2 Miroslav Suchý 2009-09-17 07:06:45 UTC
Spacewalk 0.4 has been released for some time.


Note You need to log in before you can comment on or make changes to this bug.